> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a memo on a matter

> Creates a memo on the specified matter.



## OpenAPI

````yaml /openapi.json post /matters/{matterId}/memos
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /matters/{matterId}/memos:
    post:
      tags:
        - Memos
      summary: Create a memo on a matter
      description: Creates a memo on the specified matter.
      operationId: CreateMemo
      parameters:
        - name: matterId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json-patch+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/MemoDto'
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/MemoDto'
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/MemoDto'
      responses:
        '202':
          description: >-
            When request is accepted. Returns a hypermedia 'Link' object of the
            memo to be created.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Link'
        '400':
          description: When an unsupported request is made.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    MemoDto:
      required:
        - text
        - title
      type: object
      properties:
        title:
          minLength: 1
          type: string
          description: The title of the memo.
          example: Update
        text:
          type: string
          description: "The text (content) of the memo.\r\n            \r\nSupports plain-text and RTF."
          example: There has been a recent update on this matter.
        userId:
          type: string
          description: Unique identifier of the user.
          nullable: true
          example: b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2
        createdDateUtc:
          type: string
          description: "Date that the memo was created.\r\n\r\nWill default to the current date and time, if not supplied."
          format: date-time
          nullable: true
          example: '2022-07-01'
      additionalProperties: false
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````